JUCE: juce::midi_ci::Message::ProcessMidiMessageReport Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::ProcessMidiMessageReport Struct Reference
juce_midi_ci » ci

See the MIDI-CI specification. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
auto | tie () const
bool | operator== (const ProcessMidiMessageReport &x) const
bool | operator!= (const ProcessMidiMessageReport &x) const

## Public Attributes
std::byte | messageDataControl {}
std::byte | requestedMessages {}
std::byte | channelControllerMessages {}
std::byte | noteDataMessages {}

## Detailed Description

See the MIDI-CI specification.

## Member Function Documentation

## ◆ tie()

auto juce::midi_ci::Message::ProcessMidiMessageReport::tie | ( |  | ) | const

References channelControllerMessages, messageDataControl, noteDataMessages, and requestedMessages.

Referenced by operator==().

## ◆ operator==()

bool juce::midi_ci::Message::ProcessMidiMessageReport::operator== | ( | const ProcessMidiMessageReport & | x | ) | const

References tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::ProcessMidiMessageReport::operator!= | ( | const ProcessMidiMessageReport & | x | ) | const

References operator==(), and x.

## Member Data Documentation

## ◆ messageDataControl

std::byte juce::midi_ci::Message::ProcessMidiMessageReport::messageDataControl {}

Referenced by tie().

## ◆ requestedMessages

std::byte juce::midi_ci::Message::ProcessMidiMessageReport::requestedMessages {}

Referenced by tie().

## ◆ channelControllerMessages

std::byte juce::midi_ci::Message::ProcessMidiMessageReport::channelControllerMessages {}

Referenced by tie().

## ◆ noteDataMessages

std::byte juce::midi_ci::Message::ProcessMidiMessageReport::noteDataMessages {}

Referenced by tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h